Loading...
Searching...
No Matches
gx_main_midi::MidiConnect Class Reference

`#include <gx_main_midi.h>`

## Public Member Functions

| MidiConnect (GdkEventButton *event, gx_engine::Parameter &param, gx_engine::GxMachineBase &machine)

## Static Public Member Functions

static void | midi_response_cb (GtkWidget *widget, gint response_id, gpointer data)
static void | midi_destroy_cb (GtkWidget *widget, gpointer data)
static void | toggle_behaviours_visibility (GtkWidget *widget, gpointer data)
static gboolean | check_midi_cb (gpointer)
static void | changed_text_handler (GtkEditable *entry, gpointer data)

## Private Types

enum | { RESPONSE_DELETE = 1 }

## Static Private Member Functions

static string | ctr_desc (int ctr)
static const char * | ctl_to_str (int n)

## Private Attributes

std::map< gx_engine::Parameter::toggle_type, const char * > | toggle_behaviour_descriptions
GtkListStore * | store
gx_engine::Parameter & | param
gx_engine::GxMachineBase & | machine
int | current_control
GtkAdjustment * | adj_lower
GtkAdjustment * | adj_upper
GtkToggleButton * | use_toggle
GtkWidget * | dialog
GtkWidget * | entry_new
GtkWidget * | label_desc
GtkWidget * | toggle_behaviours

## Detailed Description

Definition at line 77 of file gx_main_midi.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

private

Enumerator
RESPONSE_DELETE |

Definition at line 79 of file gx_main_midi.h.

## Constructor & Destructor Documentation

## MidiConnect()

gx_main_midi::MidiConnect::MidiConnect | ( | GdkEventButton * | event,
|  | gx_engine::Parameter & | param,
|  | gx_engine::GxMachineBase & | machine )

## Member Function Documentation

## changed_text_handler()

void gx_main_midi::MidiConnect::changed_text_handler | ( | GtkEditable * | entry,
|  | gpointer | data )

static

## check_midi_cb()

gboolean gx_main_midi::MidiConnect::check_midi_cb | ( | gpointer |  | ) |

static

## ctl_to_str()

const char * gx_main_midi::MidiConnect::ctl_to_str | ( | int | n | ) |

static private

## ctr_desc()

string gx_main_midi::MidiConnect::ctr_desc | ( | int | ctr | ) |

static private

## midi_destroy_cb()

void gx_main_midi::MidiConnect::midi_destroy_cb | ( | GtkWidget * | widget,
|  | gpointer | data )

static

## midi_response_cb()

void gx_main_midi::MidiConnect::midi_response_cb | ( | GtkWidget * | widget,
|  | gint | response_id,
|  | gpointer | data )

static

## toggle_behaviours_visibility()

void gx_main_midi::MidiConnect::toggle_behaviours_visibility | ( | GtkWidget * | widget,
|  | gpointer | data )

static

## Member Data Documentation

## adj_lower

GtkAdjustment* gx_main_midi::MidiConnect::adj_lower

private

Definition at line 90 of file gx_main_midi.h.

## adj_upper

GtkAdjustment* gx_main_midi::MidiConnect::adj_upper

private

Definition at line 91 of file gx_main_midi.h.

## current_control

int gx_main_midi::MidiConnect::current_control

private

Definition at line 89 of file gx_main_midi.h.

## dialog

GtkWidget* gx_main_midi::MidiConnect::dialog

private

Definition at line 94 of file gx_main_midi.h.

## entry_new

GtkWidget* gx_main_midi::MidiConnect::entry_new

private

Definition at line 95 of file gx_main_midi.h.

## label_desc

GtkWidget* gx_main_midi::MidiConnect::label_desc

private

Definition at line 96 of file gx_main_midi.h.

## machine

gx_engine::GxMachineBase& gx_main_midi::MidiConnect::machine

private

Definition at line 88 of file gx_main_midi.h.

Referenced by MidiConnect().

## param

gx_engine::Parameter& gx_main_midi::MidiConnect::param

private

Definition at line 87 of file gx_main_midi.h.

Referenced by MidiConnect().

## store

GtkListStore* gx_main_midi::MidiConnect::store

private

Definition at line 86 of file gx_main_midi.h.

## toggle_behaviour_descriptions

std::map<gx_engine::Parameter::toggle_type, const char*> gx_main_midi::MidiConnect::toggle_behaviour_descriptions

private

Initial value:
{
{ gx_engine::Parameter::toggle_type::OnOff, "off /on states transition toggle" },
{ gx_engine::Parameter::toggle_type::Constant, "constant state toggle" },
{ gx_engine::Parameter::toggle_type::Toggle, "toggle state" },
{ gx_engine::Parameter::toggle_type::Commander, "always toggle" }
}
gx_engine::Parameter::Toggle
@ Toggle
Definition gx_parameter.h:110
gx_engine::Parameter::Commander
@ Commander
Definition gx_parameter.h:110
gx_engine::Parameter::OnOff
@ OnOff
Definition gx_parameter.h:110
gx_engine::Parameter::Constant
@ Constant
Definition gx_parameter.h:110

Definition at line 80 of file gx_main_midi.h.

## toggle_behaviours

GtkWidget* gx_main_midi::MidiConnect::toggle_behaviours

private

Definition at line 97 of file gx_main_midi.h.

## use_toggle

GtkToggleButton* gx_main_midi::MidiConnect::use_toggle

private

Definition at line 92 of file gx_main_midi.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_midi.h